AGG is currently in alpha. APIs, components, and docs may change.
curl --request GET \
--url https://api.agg.market/users/me \
--header 'Authorization: Bearer <token>' \
--header 'x-app-id: <api-key>'{
"id": "<string>",
"username": "<string>",
"avatarUrl": "<string>",
"externalId": "<string>",
"isLocationBlocked": true,
"accounts": [
{
"type": "oauth",
"provider": "wallet",
"providerAccountId": "<string>"
}
],
"wallets": [
{
"chain": "evm",
"address": "<string>"
}
],
"venueAccounts": [
{
"id": "<string>",
"venue": "kalshi",
"status": "<string>",
"kycStatus": "<string>"
}
]
}Returns the authenticated user’s profile.
curl --request GET \
--url https://api.agg.market/users/me \
--header 'Authorization: Bearer <token>' \
--header 'x-app-id: <api-key>'{
"id": "<string>",
"username": "<string>",
"avatarUrl": "<string>",
"externalId": "<string>",
"isLocationBlocked": true,
"accounts": [
{
"type": "oauth",
"provider": "wallet",
"providerAccountId": "<string>"
}
],
"wallets": [
{
"chain": "evm",
"address": "<string>"
}
],
"venueAccounts": [
{
"id": "<string>",
"venue": "kalshi",
"status": "<string>",
"kycStatus": "<string>"
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.agg.market/llms.txt
Use this file to discover all available pages before exploring further.
Your application ID. Required for all app-tier and user-tier routes.
JWT access token returned by POST /auth/verify. Required for user-tier routes.
200